module Paths_push_notify_ccs (
    version,
    getBinDir, getLibDir, getDataDir, getLibexecDir,
    getDataFileName
  ) where

import qualified Control.Exception as Exception
import Data.Version (Version(..))
import System.Environment (getEnv)
catchIO :: IO a -> (Exception.IOException -> IO a) -> IO a
catchIO = Exception.catch


version :: Version
version = Version {versionBranch = [0,1,0,1], versionTags = []}
bindir, libdir, datadir, libexecdir :: FilePath

bindir     = "/home/marcos/GSOC/Code/GSoC-Communicating-with-mobile-devices/cabal-dev//bin"
libdir     = "/home/marcos/GSOC/Code/GSoC-Communicating-with-mobile-devices/cabal-dev//lib/push-notify-ccs-0.1.0.1/ghc-7.4.2"
datadir    = "/home/marcos/GSOC/Code/GSoC-Communicating-with-mobile-devices/cabal-dev//share/push-notify-ccs-0.1.0.1"
libexecdir = "/home/marcos/GSOC/Code/GSoC-Communicating-with-mobile-devices/cabal-dev//libexec"

getBinDir, getLibDir, getDataDir, getLibexecDir :: IO FilePath
getBinDir = catchIO (getEnv "push_notify_ccs_bindir") (\_ -> return bindir)
getLibDir = catchIO (getEnv "push_notify_ccs_libdir") (\_ -> return libdir)
getDataDir = catchIO (getEnv "push_notify_ccs_datadir") (\_ -> return datadir)
getLibexecDir = catchIO (getEnv "push_notify_ccs_libexecdir") (\_ -> return libexecdir)

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = do
  dir <- getDataDir
  return (dir ++ "/" ++ name)
